#!/bin/sh

# this is example notify script that can be invoked on a server side
# This script will be called by dibbler-server with a single parameter
# describing operation (add, update, delete, expire)
#
# Many parameters will be passed as environment variables

LOGFILE=/opt/var/log/dibbler/server-notify.log

echo "---$1--------" >> $LOGFILE
date >> $LOGFILE

# uncomment this to get full list of available variables
set >> $LOGFILE

if [ "$ADDR1" != "" ]; then
    echo "Address ${ADDR1} (operation $1) to client $REMOTE_ADDR on inteface $IFACE/$IFINDEX" >> $LOGFILE
fi

if [ "$PREFIX1" != "" ]; then
    echo "Prefix ${PREFIX1} (operation $1) to client $REMOTE_ADDR on inteface $IFACE/$IFINDEX" >> $LOGFILE
    
    #  routing ready
    PREFIX2='ip -6 route show | grep ${PREFIX1} | cut -d "/" -f 1'

    if [ "$PREFIX1" != "$PREFIX2" ]; then
     
       ip -6 route add $PREFIX1/$PREFIX1LEN via $REMOTE_ADDR dev $IFACE metric 256
       ip -6 route add $PREFIX1/$PREFIX1LEN via $REMOTE_ADDR dev $IFACE metric 1024 table 200
       ip -6 route add $PREFIX1/$PREFIX1LEN via $REMOTE_ADDR dev $IFACE metric 1024 table 201
    
    echo "Added Routing: ip -6 route add $PREFIX1/$PREFIX1LEN via $REMOTE_ADDR dev $IFACE metric 256   " >> $LOGFILE   
   fi
fi

# sample return code. Dibbler will just print it out.
exit 3
